/*
    DtoCHannel.mqh
 	
    Copyright 2020, Soft Reform
    https://www.mql5.com
 
*/

class CDtoChannel {

public: // dto variables
   // Input Parameters
   datetime             mStartDate;
   int                  mATRPeriod;
   double               mAtrMultiplier;
   // Required Parameters
   int					   mDigits;
   string				   mSymbol;
   ENUM_TIMEFRAMES	   mTimeframe;

   // Indicator Buffers
   double               channelHigh[];
   double               channelMid[];
   double               channelLow[];
   
   double               channelBuy[];            
   double               channelSell[];   
    
   //Additional arrays (Will be used later)
   double               channelBuyLot1( int index);
   double               channelBuyLot2( int index);
   double               channelBuyLot3( int index);         
   double               channelBuySL1( int index);
   double               channelBuyTP1( int index);  
   double               channelBuySL2( int index);
   double               channelBuyTP2( int index); 
   double               channelBuySL3( int index);
   double               channelBuyTP3( int index);
      
   double               channelSellLot1( int index);
   double               channelSellLot2( int index);
   double               channelSellLot3( int index);         
   double               channelSellSL1( int index);
   double               channelSellTP1( int index);  
   double               channelSellSL2( int index);
   double               channelSellTP2( int index); 
   double               channelSellSL3( int index);
   double               channelSellTP3( int index);    
    
    
   ENUM_POSITION_TYPE  lastPosition[];
   datetime            channelTime[];
    
   int                 mPrevCalculated;
   datetime            mFirstBarTime; 

};